## org.apache.myfaces.application
Class TreeStructureManager

    java.lang.Object
      org.apache.myfaces.application.TreeStructureManager

public class TreeStructureManager
extends java.lang.Object

Version:
  $Revision: 225368 $ $Date: 2005-07-26 14:14:51 -0400 (Tue, 26 Jul 2005) $
Author:
  Manfred Geiler (latest modification by $Author: bdudney $)

Nested Class Summary
`static class` `TreeStructureManager.TreeStructComponent`

Constructor Summary
`TreeStructureManager()`

Method Summary
`java.lang.Object` `buildTreeStructureToSave(javax.faces.component.UIViewRoot viewRoot)`
`javax.faces.component.UIViewRoot` `restoreTreeStructure(java.lang.Object treeStructRoot)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeStructureManager

    public TreeStructureManager()

Method Detail

### buildTreeStructureToSave

    public java.lang.Object buildTreeStructureToSave(javax.faces.component.UIViewRoot viewRoot)

### restoreTreeStructure

    public javax.faces.component.UIViewRoot restoreTreeStructure(java.lang.Object treeStructRoot)